# $Revision: 1.50 $, $Date: 2004/11/02 06:59:42 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Carp
%define	pnam	Assert
Summary:	Carp::Assert - executable comments
Summary(pl):	Carp::Assert - wykonywalne komentarze
Name:		perl-Carp-Assert
Version:	0.18
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Carp/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8137794654f5802730c05167327d496e
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Test-Inline >= 0.16-3
BuildRequires:	perl-Test-Simple >= 0.40
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Carp::Assert is intended for a purpose like the ANSI C library
assert.h. An assertion is used to prevent the impossible from being
asked of your code, or at least tell you when it does.

%description -l pl
Modu Carp::Assert suy do tego, co assert.h z ANSI C. Uywa si
zapewnie (assertion), aby wykluczy wystpowanie rzeczy niemoliwych,
albo przynajmniej wiedzie, gdzie si zdarzaj.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Carp/Assert.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Carp-Assert.spec,v $
Revision 1.50  2004/11/02 06:59:42  ankry
- BR fix, rel. 3

Revision 1.49  2004/11/02 06:50:45  ankry
- BR: perl-Test-Inline, rel. 3

Revision 1.48  2004/11/02 06:27:52  ankry
- rel. 2

Revision 1.47  2004/11/01 23:33:46  qboosh
- vendorlib/Carp dir moved to perl-base

Revision 1.46  2004/07/15 14:45:03  qboosh
- updated Test::More BR

Revision 1.45  2004/06/05 18:10:32  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.44  2004/05/06 18:01:26  ankry
- fixed perl-devel BR

Revision 1.43  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.42  2004/04/20 09:46:28  ankry
- bcond fixes/porting

Revision 1.41  2004/04/18 16:56:33  ankry
- license fixes and unification

Revision 1.40  2004/03/06 22:01:48  adamg
- updated to 0.18

Revision 1.39  2003/09/09 10:24:28  ankry
- spaces -> tab

Revision 1.38  2003/08/18 08:08:32  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.37  2003/05/25 11:00:56  malekith
- massive attack, adding Source-md5

Revision 1.36  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.35  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.34  2003/03/01 18:45:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.33  2003/02/24 20:31:50  radek
- use the __perl macro

Revision 1.32  2003/02/18 15:27:49  ankry
- massive attack: change CPAN URLs

Revision 1.31  2002/08/14 19:58:45  qboosh
- pl description, conditional make test; release 8

Revision 1.30  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.29  2002/07/20 15:20:35  kloczek
- release 6.

Revision 1.28  2002/07/20 10:17:30  qboosh
- BR: perl-Test-Simple

Revision 1.27  2002/07/16 23:19:16  ankry
- translations, cleaning
- added %%{perl_sitelib}/Carp dir
- new %%doc
- release 5

Revision 1.26  2002/07/10 08:46:36  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.25  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.24  2002/02/25 10:30:00  depesz
cleanup; revision++

Revision 1.23  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/02/13 19:36:06  kloczek
- adapterized.

Revision 1.21  2002/02/13 14:09:42  depesz
automatic: Source location unified, Relase Up

Revision 1.20  2002/02/10 15:24:23  depesz
adapterized

Revision 1.19  2002/01/18 02:14:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/11/28 15:20:14  mis
- buildarch noarch; release++

Revision 1.17  2001/10/10 15:21:11  mis
- autoupdated to 0.17

Revision 1.16  2001/09/10 08:55:03  kloczek
- updated to 0.16.

Revision 1.15  2001/04/17 12:06:23  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.14  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.13  2001/02/14 05:36:49  kloczek
- updated to 0.13.

Revision 1.12  2001/02/08 06:25:21  kloczek
- updated to 0.12.

Revision 1.11  2000/12/29 14:52:29  kloczek
- release 2: rebuild against perl 5.6 and use new rpm automation.

Revision 1.10  2000/08/19 22:20:00  kloczek
- updated to 0.11.

Revision 1.9  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:47  baggins
- translated kloczkish into english

Revision 1.4  2000/02/17 20:35:45  pius
- updated to 0.08

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/31 15:04:12  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
